import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Counter extends Actor
{
    public int aktuelleAnzahl = 10;
    public int zielAnzahl = 0;
    public String text;
    
   
    public Counter()
    {
       setImage(new GreenfootImage(150, 24));
       GreenfootImage image = getImage();
       Font font = image.getFont();
       image.setFont(font.deriveFont(24.0F));  
       updateImage();
    }
    
    public void act() 
    {
       updateImage();
    }
    

    public void eingesammelt()
    {
        aktuelleAnzahl = aktuelleAnzahl - 1;
    }

    
    /**
     * Make the image
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        if (aktuelleAnzahl > 0)
        {
            image.drawString("noch: " + aktuelleAnzahl, 1, 18);
        }
        else
        {
            image.drawString("Sieger", 1, 18);
            Greenfoot.playSound("applause.mp3");
            Greenfoot.stop();
        }
    }
}
